# Update Conversation Called at the end of a synchronization run to push the latest derived data into the Customer’s system. Endpoint: PUT /conversation Version: 0.0.1 Security: BearerAuth ## Request fields (application/json): - `conversation_id` (string) ID of the conversation to update Example: "conv_456" - `title` (string,null) Conversation title Example: "Pricing inquiry - resolved" - `tags` (array) List of tags associated with the conversation in your system. Can be used to power routing within the Fin workflow among other things. Example: ["pricing","sales"] - `attributes` (object) Attributes associated with the conversation Example: {"issue_type":"Billing","priority":"High"} - `status` (string) Conversation status Enum: "open", "resolved", "closed", "ended" - `assignee_id` (string) Agent ID (Fin agent). Set to null when handing over to a human agent. Example: "agent_fin" - `last_user_read_at` (string,null) When user last read the conversation Example: "2025-10-27T15:45:00.000Z" ## Response 200 fields (application/json): - `id` (string, required) Unique identifier for the conversation in your system Example: "conv_456" - `status` (string, required) Current conversation status: - open - Conversation is actively ongoing with the end-user - resolved - Conversation is resolved by Fin - closed - Conversation is finished/archived - ended - Conversation is ended by the end-user or agent Enum: "open", "resolved", "closed", "ended" - `user` (object, required) End user having a conversation with Fin or with an agent. - `user.id` (string, required) Unique identifier for the user in your system Example: "user_123456" - `user.user_type` (string, required) Type of user Enum: "end_user" - `user.name` (string,null) User's display name Example: "Jane Doe" - `user.email` (string,null) User's email address Example: "jane.doe@example.com" - `user.photo_url` (string,null) URL to user's avatar/profile picture (displayed in Fin Messenger) Example: "https://example.com/avatars/jane.jpg" - `user.attributes` (object,null) Attributes associated with the end-user Example: {"plan_type":"enterprise","signup_date":"2024-01-15","is_premium":true} - `title` (string,null) Conversation title or subject Example: "Question about pricing plans" - `tags` (array,null) List of tags associated with the conversation in your system. Can be used to power routing within the Fin workflow among other things. Example: ["pricing","sales"] - `attributes` (object) Attributes associated with the conversation Example: {"issue_type":"Billing","priority":"High"} - `assignee` (object) Agent having a conversation with an end-user. - `assignee.alias` (string,null) Agent's display alias (shown to end-users instead of real name) Example: "Support Jane" - `created_at` (string, required) When the conversation was created (ISO 8601 UTC) Example: "2025-10-27T14:30:00.000Z" - `updated_at` (string, required) When the conversation was last updated (ISO 8601 UTC) Example: "2025-10-27T15:45:00.000Z"